Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.jatmi
Class MBStringTypes

    java.lang.Object
      weblogic.wtc.jatmi.StandardTypes
          weblogic.wtc.jatmi.MBStringTypes

All Implemented Interfaces:
  Serializable, TypedBuffer

Direct Known Subclasses:
  TypedFML32, TypedMBString

public abstract class MBStringTypes
extends StandardTypes
implements TypedBuffer

This class implements the common methods all of the TUXEDO standard Typed Buffers which supports MBSTRING data require. It keeps the Tuxedo encoding name to which the MBSTRING data is converted and sent to another Tuxedo domain.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected String` | `mbencoding`

Constructor Summary
`MBStringTypes(String type, int index)` Initializes the standard typed buffer of the given type at the given index

Method Summary
`String` | `getMBEncoding()` Get the Tuxedo encoding name set in this Typed Buffer.
`void` | `setMBEncoding(String encoding)` Set the Tuxedo encoding name to which the MBSTRING data in this Typed Buffer is converted and sent to another Tuxedo domain.

Methods inherited from class weblogic.wtc.jatmi.StandardTypes
`getHintIndex, getSubtype, getType, hint_to_type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.wtc.jatmi.TypedBuffer
`_tmpostrecv, _tmpresend, getHintIndex, getSubtype, getType`

Field Detail

### mbencoding

    protected String mbencoding

Constructor Detail

### MBStringTypes

    public MBStringTypes(String type,
                         int index)

  Initializes the standard typed buffer of the given type at the given index

Method Detail

### getMBEncoding

    public String getMBEncoding()

  Get the Tuxedo encoding name set in this Typed Buffer. If the MBSTRING data is received from another Tuxedo domain, this encoding name is the one which was set in the received MBSTRING data.

  Returns:
    The Tuxedo encoding name used for MBSTRING conversion.

### setMBEncoding

    public void setMBEncoding(String encoding)

  Set the Tuxedo encoding name to which the MBSTRING data in this Typed Buffer is converted and sent to another Tuxedo domain. If the Tuxedo encoding name of the TypedBuffer is set to null, which is the default, the default encoding name set in the MBEncoding class is used for the conversion.

  Parameters:
    `encoding` - The Tuxedo encoding name used for MBSTRING conversion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD